turbine-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Youngho Cho" <youn...@nannet.co.kr>
Subject Re: Fulcrum-Quartz for updated version than quart-1.5.1
Date Wed, 04 Jun 2008 06:45:36 GMT
Hello,

I made a patch for support over quartz-1.5.2  version.
Unfortunately this patch doesn't not support under quartz-1.5.1 verison


Index: TestComponentConfig.xml
===================================================================
--- TestComponentConfig.xml (revision 662980)
+++ TestComponentConfig.xml (working copy)
@@ -46,9 +46,8 @@
         </jobDetails>
         <triggers>
             <list>
-    <org.quartz.CronTrigger serialization="custom">
-     <org.quartz.Trigger>
-       <default>
+    <org.quartz.CronTrigger>
+         <startTime>2005-10-20 11:10:45.0 EDT</startTime>
          <misfireInstruction>0</misfireInstruction>
          <volatility>false</volatility>
          <group>OTHER_GROUP</group>
@@ -56,21 +55,18 @@
          <jobName>notSoSimpleJob</jobName>
          <name>cron</name>
          <triggerListeners/>
-       </default>
-     </org.quartz.Trigger>
-     <org.quartz.CronTrigger>
-       <default>
+                  <cronEx serialization="custom">
+                  <org.quartz.CronExpression>
+         <default>
          <cronExpression>0 0 12 * * ?</cronExpression>
-         <startTime>2005-10-20 11:10:45.0 EDT</startTime>
-
-       </default>
-     </org.quartz.CronTrigger>
-     </org.quartz.CronTrigger>
+         </default>
+                  </org.quartz.CronExpression>
+                  </cronEx>
+      </org.quartz.CronTrigger>
               <org.quartz.SimpleTrigger>
                 <name>simpleTrigger</name>
                 <group>DEFAULT_GROUP</group>
                 <description>test</description>
-
               </org.quartz.SimpleTrigger>
             </list>
         </triggers>



Thanks,


Youngho

----- Original Message ----- 
From: "Youngho Cho" <youngho@nannet.co.kr>
To: "Turbine Developers List" <dev@turbine.apache.org>
Sent: Tuesday, June 03, 2008 11:15 AM
Subject: Fulcrum-Quartz for updated version than quart-1.5.1


> Hello,
> 
> Current fulcrum quartz component quart's version is 1.5.1.
> 
> If I test more updated version than 1.5.1, The test failed.
> 
> Is there any plan to support updated version than quart-1.5.1 ?
> 
> 
> 
> Thanks,
> 
> Youngho
> 
> 
>
Mime
View raw message